View Issue Details

IDProjectCategoryView StatusLast Update
0000556Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterW4PCAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformAcer V5-471 (8GB RAM)OSWindows 8 (64bit)OS VersionPro
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0000556: HRD Rotator does not update Azimuth gauge display
DescriptionWhen GS232A (Alpha) Az-El protocol is selected, current azimuth and elevation position are not shown or updated in the az/el gauges displayed in HRD Rotator.
Steps To Reproduce(1) Connect Yaesu GS232A rotator controller device to computer USB port via USB-serial adapter cable (FTDI chipset based cable adapter connection used in my configuration). First time when plugging in the USB cable will cause Windows 8 to locate and install a WHQL FTDI driver already contained in Windows (in most instances).
 (2) Since HRD Rotator does not auto-detect its COM port (!), open Windows Device Manager, selected Hardware Devices, select Ports, and determine which COM port number is used by the Yaesu GS232A (COM9 in my configuration is used).
 (3) Configure HRD Rotator...Protocol: GS232A Az-El, Serial Port: COM9 (or whatever is the correct one found in Device Manager), Speed: 9600, Update: 1 second (or 2secs); I named my configuration preset profile "G5500" to reflect the model Yaesu G-5500 az-el rotator being used (& controlled by the GS232B controller).
 (4) Make sure HRD Rotator is configured with "Gauges" displayed (button on right selected, gauges displayed on far left pane). When an Az-El protocol is selected, there should be 2 gauges displayed, one for azimuth and one for elevation.
 (5) Click on "Connect" button; HRD Rotator will connect to the GS232A controller and begin communicating with it. The "Logfile" tab should then begin showing the series of sent & received data with the GS232A, beginning with serial port configuration and eventually issuing the "C" command (which is the command request for position data). The GS232A will respond to the C command with both AZ and EL position values (ASCII decimal values for degrees when converted from hex values, which can be seen by selecting "Text" display). This command sequence will repeat at the periodic update rate.
 (6) Manually rotate the Yaesu rotator, using EITHER the GS232A device azimuth controls or by double-clicking on a new heading direction within HRD Rotator. Note that despite the Logfile showing correct azimuth & elevation position data being received from the GS232A controller, the AZ (and EL) gauge does not move and remains showing a 0 degrees position. Ditto for SatTrack, IF it is running also and connected to Rotator via DDE.
Additional InformationTim kb3nph of HRD Support witnessed this problem during a remote control session on Tue 8 Oct 2013.

Note: current azimuth position IS updated/displayed when GS232B (Bravo) protocol is selected, but of course that protocol can only be understood by the Yaesu GS232B rotator controller device (not the model GS232A); however, current elevation position is NOT displayed in the HRD Rotator elevation gauge even when GS232B protocol is selected (this has been reported in another bug report #615).
TagsNo tags attached.
ModuleRotator
Sub-Module(select)
Testing Beta Successful

Activities

JOSE

2019-01-30 16:43

developer   ~0007166

The commands used by HRD Rotator for GS232A/GS232B to find the position are the same. Either C for Az or C2 for Az/EL.
The difference is the replay by the controller
GS232A would return for C2:
+0aaa+0eee
GS232B would return for C2:
Az=aaa El=eee
So if the HRD Rotator is reading the Az component when GS232B is select then the controller is GS232B not GS232A.
GS232B has a known issue with the EL component that needs to be address.

WA9PIE

2019-02-21 09:29

administrator   ~0007469

Validated.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:57 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 22:55 WA9PIE Release => (select)
2014-01-31 22:55 WA9PIE Module => (select)
2014-01-31 22:55 WA9PIE Sub-Module => (select)
2014-01-31 22:55 WA9PIE Report Build => (select)
2014-01-31 22:55 WA9PIE Status new => acknowledged
2014-02-02 14:45 WA9PIE Summary HRD Rotator does not update Azimuth gauge display => Bug: HRD Rotator does not update Azimuth gauge display
2015-09-17 13:09 WA9PIE Module (select) => Rotator
2015-09-17 13:15 WA9PIE Category Rotator => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 16:07 WA9PIE Fix Build => (select)
2015-09-29 16:07 WA9PIE Summary Bug: HRD Rotator does not update Azimuth gauge display => HRD Rotator does not update Azimuth gauge display
2018-03-04 00:53 WA9PIE Status acknowledged => assigned
2018-03-04 00:53 WA9PIE Assigned To => JOSE
2018-03-04 00:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-04 00:56 WA9PIE Testing => Not Started
2019-01-30 16:43 JOSE Note Added: 0007166
2019-02-12 21:16 JOSE Status assigned => resolved
2019-02-12 21:16 JOSE Resolution open => fixed
2019-02-12 21:16 JOSE Fixed in Version => 6.5.0.192
2019-02-21 09:29 WA9PIE Status resolved => closed
2019-02-21 09:29 WA9PIE Testing Not Started => Beta Successful
2019-02-21 09:29 WA9PIE Note Added: 0007469
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.192 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe